type WxPayJSAPI = {
  bridge: any
  params: any
  success: () => void
  error: (err: any) => void
}

function wxPayJSAPI(data: WxPayJSAPI) {
  const { bridge, params, success, error } = data
  console.log('bridge', bridge)
  console.log('params', params)
  bridge.invoke(
    'getBrandWCPayRequest',
    {
      appId: params.appId, // 公众号ID，由商户传入
      timeStamp: params.timeStamp, // 时间戳，自1970年以来的秒数
      nonceStr: params.nonceStr, // 随机串
      package: params.packageVal,
      signType: params.signType, // 微信签名方式：
      paySign: params.paySign,
    },
    (res: any) => {
      if (res.err_msg === 'get_brand_wcpay_request:ok') {
        success && success()
      } else {
        error && error(res.err_msg)
      }
    },
  )
}
